#ifndef _D5_SCANNER_H_
#define _D5_SCANNER_H_

#define DEV_MAX_NUM			5

#define LED_R				0x01
#define LED_G				0x02
#define LED_B				0x04

unsigned short WINAPI D5EnumDevice (char pDeviceName[DEV_MAX_NUM][128]);
/*
	˵
		ö豸(ÿ̨5̨)
	
		pDeviceName:	豸
	أ
		0:				豸
		:			豸Ŀ
*/
long WINAPI D5OpenDevice (unsigned short uDeviceID);
/*
	˵
		豸(ע:ĳ豸ѱ,ȹرղٴ)
	
		uDeviceID:		豸(0-4)
	أ
		0:				򿪳ɹ
		-1:				ʧ
*/
long WINAPI D5CloseDevice (unsigned short uDeviceID);
/*
	˵
		ر豸
	
		uDeviceID:		豸(0-4)
	أ
		0:				رճɹ
		-1:				ʧ
*/
long WINAPI D5SetMark (unsigned short uDeviceID, unsigned char *pMark);
/*
	˵
		ù˾
	
		uDeviceID:		豸(0-4)
		pMark:			˾(8ֽ)
	أ
		0:				óɹ
		-1:				ʧ
*/
long WINAPI D5CheckMark (unsigned short wDevID, unsigned char *pMark);
/*
	˵
		鹫˾
	
		uDeviceID:		豸(0-4)
		pMark:			˾(8ֽ)
	أ
		0:				ƥ
		1:				鲻ƥ
		-1:				ʧ
*/
long WINAPI D5Beep (unsigned short uDeviceID, unsigned short uMS);
/*
	˵
		豸
	
		uDeviceID:		豸(0-4)
		uMS:			ʱ(Ϊλ)
	أ
		0:				ɹ
		-1:				ʧ
*/
long WINAPI D5OpenLED (unsigned short uDeviceID, unsigned short uLEDS);
/*
	˵
		LED
	
		uDeviceID:		豸(0-4)
		uLEDS:			LED(-Bit0/-Bit1/-Bit2)
	أ
		0:				򿪳ɹ
		-1:				ʧ
*/
long WINAPI D5CloseLED (unsigned short uDeviceID, unsigned short uLEDS);
/*
	˵
		رLED
	
		uDeviceID:		豸(0-4)
		uLEDS:			LED(-Bit0/-Bit1/-Bit2)
	أ
		0:				رճɹ
		-1:				ʧ
*/
long WINAPI D5LoadBMPFile (char *strFileName, unsigned char *pImage);
/*
	˵
		λͼͼ
	
		strFileName:	λͼļ
		pImage:			ͼ
						192, ߶256, ݰ˳, ÿ1ֽڱʾҶ
	أ
		0:				ɹ
		-1:				ļ޷򿪻ʽ
*/
long WINAPI D5SaveBMPFile (char *strFileName, unsigned char *pImage);
/*
	˵
		ͼݴ洢Ϊλͼ
	
		strFileName:	λͼļ
		pImage:			ͼ
						192, ߶256, ݰ˳, ÿ1ֽڱʾҶ
	أ
		0:				洢ɹ
		-1:				ļ޷
*/
long WINAPI D5GetImage (unsigned short wDeviceID, 
						unsigned char  *pImage);
/*
	˵
		ȡͼ
	
		wDeviceID		豸(0-4)
		pImage			ͼ
						192, ߶256, ݰ˳, ÿ1ֽڱʾҶ		
	أ
		0:				ȡɹ
		-1:				ʧ
*/
bool WINAPI D5CheckFP (unsigned char *pImage);
/*
	˵
		ĳͼǷָ
	
		pImage			ͼ
						192, ߶256, ݰ˳, ÿ1ֽڱʾҶ		
	أ
		1:				⵽ָ
		0:				ָ
*/
long WINAPI D5Process (unsigned char  *pImage, 
						unsigned char *pFeature);
/*
	˵
		ָͼȡֵ
	
		pImage			ָͼ
						192, ߶256, ݰ˳, ÿ1ֽڱʾҶ
		pFeature			ɵֵָ
						256Ƿֽڵ
	أ
		0:				ȡɹ
		-1:				ȡʧ
		-2:				ϵͳ
*/
long WINAPI D5Match (unsigned char  *pFeature1, 
  					 unsigned char  *pFeature2, 
					 unsigned short uRotate = 60,
					 unsigned short uLevel = 5);
/*
	˵
		ֵָбȶ
	
		pFeature1:		ֵָ1
		pFeature2:		ֵָ2
		uRotate:		תǶ(1-180)
		uLevel:			ƥȼ(0-9)
	أ
		0:				ƥɹ
		-1:				ƥʧ
		-2:				ϵͳ
*/
long WINAPI D5MatchN (unsigned char  *pFeatureIn, 
  					  unsigned char  pFeatureLib[][256], 
					  unsigned long  lFingernum,
					  unsigned short uRotate = 60,
					  unsigned short uLevel = 5);
/*
	˵
		ֵָָƿֵп1:Nȶ
	
		pFeatureIn:		ȶԵֵ
		pFeatureLib:	ֵָ
		lFingernum:		ָƿָ,Ŀ
		uRotate			תǶ(1-180)
		uLevel:			ƥȼ(0-9)
	
		
	أ
		-1:				ƥ䲻ɹ
		-2:				ϵͳ
		:			ƥɹָƿָ±
		
*/
/*
	˵
		ָͼȡֵ
	
		pImage			ָͼ
						192, ߶256, ݰ˳, ÿ1ֽڱʾҶ
		pFeature			ɵֵָ
						256Ƿֽڵ
	أ
		0:				ȡɹ
		-1:				ȡʧ
		-2:				ϵͳ
*/
long WINAPI D5Match2 (unsigned char  *pFeature1, 
  					 unsigned char  *pFeature2, 
					 unsigned short uRotate = 60,
					 unsigned short uLevel = 5,
					 unsigned short uTh = 50);
/*
	˵
		ֵָбȶ
	
		pFeature1:		ֵָ1
		pFeature2:		ֵָ2
		uRotate:		תǶ(1-180)
		uLevel:			ƥȼ(0-9)
		uTh:			ȶ(32-100)
	أ
		0:				ƥɹ
		-1:				ƥʧ
		-2:				ϵͳ
*/
long WINAPI D5MatchN2 (unsigned char  *pFeatureIn, 
  					  unsigned char  pFeatureLib[][256], 
					  unsigned long  lFingernum,
					  unsigned short uRotate = 60,
					  unsigned short uLevel = 5,
					  unsigned short uTh = 50);
/*
	˵
		ֵָָƿֵп1:Nȶ
	
		pFeatureIn:		ȶԵֵ
		pFeatureLib:	ֵָ
		lFingernum:		ָƿָ,Ŀ
		uRotate			תǶ(1-180)
		uLevel:			ƥȼ(0-9)
		uTh:			ȶ(32-100)
	
		
	أ
		-1:				ƥ䲻ɹ
		-2:				ϵͳ
		:			ƥɹָƿָ±
		
*/

#endif
